---
name: Ask a question about GEOS-Chem
about: Use this template to ask for more information about GEOS-Chem.
title: "[QUESTION]"
labels: question
assignees: ''

---

# Ask a question about GEOS-Chem

## STOP!  Before you submit an issue, please follow these steps

### Please see our Github tutorial videos
If this is the first time you are submitting a GEOS-Chem issue via Github, we recommend that you first view our tutorial videos on [youtube.geos-chem.org](http://youtube.geos-chem.org).  These videos will demonstrate how to use the Github issue trackers and how to receive notifications about issues that have been posted:

  * [*Submitting GEOS-Chem issues on Github*](https://www.youtube.com/watch?v=dFBhdotYVf8&t=1103s)
  * [*Subscribing to Github notifications*](https://www.youtube.com/watch?v=RuH6zeYuzuY)
  * [*Searching for GEOS-Chem issues and pull requests*](https://www.youtube.com/watch?v=EiZC2vaXNnU&t=35s)

### Use the bug/issue template to report GEOS-Chem bugs or technical issues

This issue template is designed for asking general questions about GEOS-Chem. To report a GEOS-Chem bug or technical issue, please use [this issue template](https://github.com/geoschem/geos-chem/issues/new?assignees=&labels=&template=report-a-bug-or-technical-issue.md&title=%5BBUG%2FISSUE%5D) instead.

### Contact the GEOS-Chem Working Groups directly for assistance with scientific questions

Please keep in mind that the [GEOS-Chem Support Team](http://wiki.geos-chem.org/GEOS-Chem_Support_Team) focuses primarily on software development and user support rather than on scientific research. If your question is more scientific in nature (e.g. "What happens if I change this reaction rate from X to Y?", or "Is emissions inventory A better than inventory B?", etc.), then we recommend that you contact the relevant [GEOS-Chem Working Group(s)](http://www.geos-chem.org/geos_working_groups.html) for assistance.

^^^^^^ YOU MAY DELETE ALL TEXT ABOVE THIS LINE WHEN CREATING YOUR ISSUE ^^^^^^

## Ask your question here!
