! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Wed Dec 11 14:07:09 2019
! Working directory    : /n/scratchlfs/jacob_lab/msulprizio/GC/rundirs/12.7.0_Tests/GC_12.7.0_MOHchem/CodeDir/KPP/SOA_SVPOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 230 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 225 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 7 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 192 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 5 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 673 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 226 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2581 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 3168 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 226 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_CH2I2 = 1 
  INTEGER, PARAMETER :: ind_CH2ICl = 2 
  INTEGER, PARAMETER :: ind_CH2IBr = 3 
  INTEGER, PARAMETER :: ind_NITs = 4 
  INTEGER, PARAMETER :: ind_NIT = 5 
  INTEGER, PARAMETER :: ind_AERI = 6 
  INTEGER, PARAMETER :: ind_CO2 = 7 
  INTEGER, PARAMETER :: ind_INDIOL = 8 
  INTEGER, PARAMETER :: ind_ISALA = 9 
  INTEGER, PARAMETER :: ind_ISALC = 10 
  INTEGER, PARAMETER :: ind_ISN1OA = 11 
  INTEGER, PARAMETER :: ind_ISN1OG = 12 
  INTEGER, PARAMETER :: ind_LBRO2H = 13 
  INTEGER, PARAMETER :: ind_LBRO2N = 14 
  INTEGER, PARAMETER :: ind_LISOPOH = 15 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 16 
  INTEGER, PARAMETER :: ind_LNRO2H = 17 
  INTEGER, PARAMETER :: ind_LNRO2N = 18 
  INTEGER, PARAMETER :: ind_NRO2 = 19 
  INTEGER, PARAMETER :: ind_NAP = 20 
  INTEGER, PARAMETER :: ind_LTRO2H = 21 
  INTEGER, PARAMETER :: ind_LTRO2N = 22 
  INTEGER, PARAMETER :: ind_LVOCOA = 23 
  INTEGER, PARAMETER :: ind_LVOC = 24 
  INTEGER, PARAMETER :: ind_LXRO2H = 25 
  INTEGER, PARAMETER :: ind_LXRO2N = 26 
  INTEGER, PARAMETER :: ind_MSA = 27 
  INTEGER, PARAMETER :: ind_PYAC = 28 
  INTEGER, PARAMETER :: ind_SO4 = 29 
  INTEGER, PARAMETER :: ind_SO4H1 = 30 
  INTEGER, PARAMETER :: ind_SO4H2 = 31 
  INTEGER, PARAMETER :: ind_SOAGX = 32 
  INTEGER, PARAMETER :: ind_SOAIE = 33 
  INTEGER, PARAMETER :: ind_SOAME = 34 
  INTEGER, PARAMETER :: ind_IMAE = 35 
  INTEGER, PARAMETER :: ind_SOAMG = 36 
  INTEGER, PARAMETER :: ind_POx = 37 
  INTEGER, PARAMETER :: ind_LOx = 38 
  INTEGER, PARAMETER :: ind_PCO = 39 
  INTEGER, PARAMETER :: ind_LCO = 40 
  INTEGER, PARAMETER :: ind_PSO4 = 41 
  INTEGER, PARAMETER :: ind_LCH4 = 42 
  INTEGER, PARAMETER :: ind_PH2O2 = 43 
  INTEGER, PARAMETER :: ind_I2O4 = 44 
  INTEGER, PARAMETER :: ind_CH2Br2 = 45 
  INTEGER, PARAMETER :: ind_CHBr3 = 46 
  INTEGER, PARAMETER :: ind_I2O2 = 47 
  INTEGER, PARAMETER :: ind_MONITA = 48 
  INTEGER, PARAMETER :: ind_BENZ = 49 
  INTEGER, PARAMETER :: ind_CH3I = 50 
  INTEGER, PARAMETER :: ind_DHDN = 51 
  INTEGER, PARAMETER :: ind_DHDC = 52 
  INTEGER, PARAMETER :: ind_I2O3 = 53 
  INTEGER, PARAMETER :: ind_PMNN = 54 
  INTEGER, PARAMETER :: ind_PPN = 55 
  INTEGER, PARAMETER :: ind_TOLU = 56 
  INTEGER, PARAMETER :: ind_BrNO2 = 57 
  INTEGER, PARAMETER :: ind_CH3Br = 58 
  INTEGER, PARAMETER :: ind_HI = 59 
  INTEGER, PARAMETER :: ind_IBr = 60 
  INTEGER, PARAMETER :: ind_IEPOXD = 61 
  INTEGER, PARAMETER :: ind_INO = 62 
  INTEGER, PARAMETER :: ind_TRO2 = 63 
  INTEGER, PARAMETER :: ind_BRO2 = 64 
  INTEGER, PARAMETER :: ind_IEPOXA = 65 
  INTEGER, PARAMETER :: ind_IEPOXB = 66 
  INTEGER, PARAMETER :: ind_IONITA = 67 
  INTEGER, PARAMETER :: ind_XRO2 = 68 
  INTEGER, PARAMETER :: ind_MAP = 69 
  INTEGER, PARAMETER :: ind_ICl = 70 
  INTEGER, PARAMETER :: ind_IMAO3 = 71 
  INTEGER, PARAMETER :: ind_MPN = 72 
  INTEGER, PARAMETER :: ind_CH2Cl2 = 73 
  INTEGER, PARAMETER :: ind_CHCl3 = 74 
  INTEGER, PARAMETER :: ind_Cl2O2 = 75 
  INTEGER, PARAMETER :: ind_DMS = 76 
  INTEGER, PARAMETER :: ind_HNO2 = 77 
  INTEGER, PARAMETER :: ind_HNO4 = 78 
  INTEGER, PARAMETER :: ind_IPRNO3 = 79 
  INTEGER, PARAMETER :: ind_MENO3 = 80 
  INTEGER, PARAMETER :: ind_NPRNO3 = 81 
  INTEGER, PARAMETER :: ind_OIO = 82 
  INTEGER, PARAMETER :: ind_RA3P = 83 
  INTEGER, PARAMETER :: ind_RB3P = 84 
  INTEGER, PARAMETER :: ind_XYLE = 85 
  INTEGER, PARAMETER :: ind_CH3Cl = 86 
  INTEGER, PARAMETER :: ind_ETNO3 = 87 
  INTEGER, PARAMETER :: ind_ClNO2 = 88 
  INTEGER, PARAMETER :: ind_IONO = 89 
  INTEGER, PARAMETER :: ind_ClOO = 90 
  INTEGER, PARAMETER :: ind_OClO = 91 
  INTEGER, PARAMETER :: ind_PAN = 92 
  INTEGER, PARAMETER :: ind_RP = 93 
  INTEGER, PARAMETER :: ind_ETP = 94 
  INTEGER, PARAMETER :: ind_ALK4 = 95 
  INTEGER, PARAMETER :: ind_PP = 96 
  INTEGER, PARAMETER :: ind_PRPN = 97 
  INTEGER, PARAMETER :: ind_BrCl = 98 
  INTEGER, PARAMETER :: ind_PIP = 99 
  INTEGER, PARAMETER :: ind_R4P = 100 
  INTEGER, PARAMETER :: ind_ATOOH = 101 
  INTEGER, PARAMETER :: ind_HPALD = 102 
  INTEGER, PARAMETER :: ind_HOI = 103 
  INTEGER, PARAMETER :: ind_N2O5 = 104 
  INTEGER, PARAMETER :: ind_C3H8 = 105 
  INTEGER, PARAMETER :: ind_DHPCARP = 106 
  INTEGER, PARAMETER :: ind_IAP = 107 
  INTEGER, PARAMETER :: ind_MP = 108 
  INTEGER, PARAMETER :: ind_MRP = 109 
  INTEGER, PARAMETER :: ind_RIPB = 110 
  INTEGER, PARAMETER :: ind_VRP = 111 
  INTEGER, PARAMETER :: ind_Br2 = 112 
  INTEGER, PARAMETER :: ind_HC187 = 113 
  INTEGER, PARAMETER :: ind_Cl2 = 114 
  INTEGER, PARAMETER :: ind_HPC52O2 = 115 
  INTEGER, PARAMETER :: ind_MOBA = 116 
  INTEGER, PARAMETER :: ind_HONIT = 117 
  INTEGER, PARAMETER :: ind_DHMOB = 118 
  INTEGER, PARAMETER :: ind_RIPA = 119 
  INTEGER, PARAMETER :: ind_RIPD = 120 
  INTEGER, PARAMETER :: ind_BrSALA = 121 
  INTEGER, PARAMETER :: ind_BrSALC = 122 
  INTEGER, PARAMETER :: ind_ISNP = 123 
  INTEGER, PARAMETER :: ind_MAOP = 124 
  INTEGER, PARAMETER :: ind_ETHLN = 125 
  INTEGER, PARAMETER :: ind_C2H6 = 126 
  INTEGER, PARAMETER :: ind_EOH = 127 
  INTEGER, PARAMETER :: ind_INPN = 128 
  INTEGER, PARAMETER :: ind_MTPA = 129 
  INTEGER, PARAMETER :: ind_MTPO = 130 
  INTEGER, PARAMETER :: ind_NPMN = 131 
  INTEGER, PARAMETER :: ind_BrNO3 = 132 
  INTEGER, PARAMETER :: ind_IONO2 = 133 
  INTEGER, PARAMETER :: ind_MOBAOO = 134 
  INTEGER, PARAMETER :: ind_MVKOO = 135 
  INTEGER, PARAMETER :: ind_DIBOO = 136 
  INTEGER, PARAMETER :: ind_IPMN = 137 
  INTEGER, PARAMETER :: ind_LIMO = 138 
  INTEGER, PARAMETER :: ind_GAOO = 139 
  INTEGER, PARAMETER :: ind_I2 = 140 
  INTEGER, PARAMETER :: ind_CH3CHOO = 141 
  INTEGER, PARAMETER :: ind_MGLYOO = 142 
  INTEGER, PARAMETER :: ind_MACRNO2 = 143 
  INTEGER, PARAMETER :: ind_ROH = 144 
  INTEGER, PARAMETER :: ind_MGLOO = 145 
  INTEGER, PARAMETER :: ind_MONITS = 146 
  INTEGER, PARAMETER :: ind_ISOPNB = 147 
  INTEGER, PARAMETER :: ind_H2O2 = 148 
  INTEGER, PARAMETER :: ind_HCOOH = 149 
  INTEGER, PARAMETER :: ind_ISNOHOO = 150 
  INTEGER, PARAMETER :: ind_ISNOOB = 151 
  INTEGER, PARAMETER :: ind_HOCl = 152 
  INTEGER, PARAMETER :: ind_HOBr = 153 
  INTEGER, PARAMETER :: ind_MONITU = 154 
  INTEGER, PARAMETER :: ind_GLYX = 155 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 156 
  INTEGER, PARAMETER :: ind_MVKN = 157 
  INTEGER, PARAMETER :: ind_MACROO = 158 
  INTEGER, PARAMETER :: ind_PRN1 = 159 
  INTEGER, PARAMETER :: ind_PROPNN = 160 
  INTEGER, PARAMETER :: ind_ISNOOA = 161 
  INTEGER, PARAMETER :: ind_MAN2 = 162 
  INTEGER, PARAMETER :: ind_IEPOXOO = 163 
  INTEGER, PARAMETER :: ind_ISOP = 164 
  INTEGER, PARAMETER :: ind_MACRN = 165 
  INTEGER, PARAMETER :: ind_MAOPO2 = 166 
  INTEGER, PARAMETER :: ind_PO2 = 167 
  INTEGER, PARAMETER :: ind_ATO2 = 168 
  INTEGER, PARAMETER :: ind_I = 169 
  INTEGER, PARAMETER :: ind_ClNO3 = 170 
  INTEGER, PARAMETER :: ind_IO = 171 
  INTEGER, PARAMETER :: ind_HNO3 = 172 
  INTEGER, PARAMETER :: ind_BrO = 173 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 174 
  INTEGER, PARAMETER :: ind_OLNN = 175 
  INTEGER, PARAMETER :: ind_OLND = 176 
  INTEGER, PARAMETER :: ind_CH2OO = 177 
  INTEGER, PARAMETER :: ind_LIMO2 = 178 
  INTEGER, PARAMETER :: ind_ETO2 = 179 
  INTEGER, PARAMETER :: ind_ACTA = 180 
  INTEGER, PARAMETER :: ind_PIO2 = 181 
  INTEGER, PARAMETER :: ind_MOH = 182 
  INTEGER, PARAMETER :: ind_ISOPND = 183 
  INTEGER, PARAMETER :: ind_R4N1 = 184 
  INTEGER, PARAMETER :: ind_A3O2 = 185 
  INTEGER, PARAMETER :: ind_HBr = 186 
  INTEGER, PARAMETER :: ind_GLYC = 187 
  INTEGER, PARAMETER :: ind_HC5OO = 188 
  INTEGER, PARAMETER :: ind_KO2 = 189 
  INTEGER, PARAMETER :: ind_VRO2 = 190 
  INTEGER, PARAMETER :: ind_B3O2 = 191 
  INTEGER, PARAMETER :: ind_NMAO3 = 192 
  INTEGER, PARAMETER :: ind_MGLY = 193 
  INTEGER, PARAMETER :: ind_ISN1 = 194 
  INTEGER, PARAMETER :: ind_HC5 = 195 
  INTEGER, PARAMETER :: ind_OTHRO2 = 196 
  INTEGER, PARAMETER :: ind_R4O2 = 197 
  INTEGER, PARAMETER :: ind_MRO2 = 198 
  INTEGER, PARAMETER :: ind_RCO3 = 199 
  INTEGER, PARAMETER :: ind_INO2 = 200 
  INTEGER, PARAMETER :: ind_R4N2 = 201 
  INTEGER, PARAMETER :: ind_RIO2 = 202 
  INTEGER, PARAMETER :: ind_HAC = 203 
  INTEGER, PARAMETER :: ind_PRPE = 204 
  INTEGER, PARAMETER :: ind_HCl = 205 
  INTEGER, PARAMETER :: ind_ACET = 206 
  INTEGER, PARAMETER :: ind_CH2O = 207 
  INTEGER, PARAMETER :: ind_ClO = 208 
  INTEGER, PARAMETER :: ind_MACR = 209 
  INTEGER, PARAMETER :: ind_MEK = 210 
  INTEGER, PARAMETER :: ind_ALD2 = 211 
  INTEGER, PARAMETER :: ind_RCHO = 212 
  INTEGER, PARAMETER :: ind_Br = 213 
  INTEGER, PARAMETER :: ind_OH = 214 
  INTEGER, PARAMETER :: ind_NO3 = 215 
  INTEGER, PARAMETER :: ind_NO = 216 
  INTEGER, PARAMETER :: ind_Cl = 217 
  INTEGER, PARAMETER :: ind_HO2 = 218 
  INTEGER, PARAMETER :: ind_NO2 = 219 
  INTEGER, PARAMETER :: ind_SO2 = 220 
  INTEGER, PARAMETER :: ind_MO2 = 221 
  INTEGER, PARAMETER :: ind_MVK = 222 
  INTEGER, PARAMETER :: ind_CO = 223 
  INTEGER, PARAMETER :: ind_MCO3 = 224 
  INTEGER, PARAMETER :: ind_O3 = 225 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_CH4 = 226 
  INTEGER, PARAMETER :: ind_H2 = 227 
  INTEGER, PARAMETER :: ind_H2O = 228 
  INTEGER, PARAMETER :: ind_O2 = 229 
  INTEGER, PARAMETER :: ind_RCOOH = 230 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_CH4 = 1 
  INTEGER, PARAMETER :: indf_H2 = 2 
  INTEGER, PARAMETER :: indf_H2O = 3 
  INTEGER, PARAMETER :: indf_O2 = 4 
  INTEGER, PARAMETER :: indf_RCOOH = 5 

END MODULE gckpp_Parameters

