! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!
! Auxiliary Routines File
!
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
!
! File                 : gckpp_Util.f90
! Time                 : Wed Dec 11 14:07:09 2019
! Working directory    : /n/scratchlfs/jacob_lab/msulprizio/GC/rundirs/12.7.0_Tests/GC_12.7.0_MOHchem/CodeDir/KPP/SOA_SVPOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
!
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Util

  USE gckpp_Parameters
  IMPLICIT NONE

CONTAINS



! User INLINED Utility Functions

! End INLINED Utility Functions

! Utility Functions from KPP_HOME/util/util
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!
! UTIL - Utility functions
!   Arguments :
!
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

! ****************************************************************
!
! InitSaveData - Opens the data file for writing
!   Parameters :
!
! ****************************************************************

      SUBROUTINE InitSaveData ()

      USE gckpp_Parameters

      open(10, file='gckpp.dat')

      END SUBROUTINE InitSaveData

! End of InitSaveData function
! ****************************************************************

! ****************************************************************
!
! SaveData - Write LOOKAT species in the data file
!   Parameters :
!
! ****************************************************************

      SUBROUTINE SaveData ()

      USE gckpp_Global
      USE gckpp_Monitor

      INTEGER i

      WRITE(10,999) (TIME-TSTART)/3600.D0,  &
                   (C(LOOKAT(i))/CFACTOR, i=1,NLOOKAT)
999   FORMAT(E24.16,100(1X,E24.16))

      END SUBROUTINE SaveData

! End of SaveData function
! ****************************************************************

! ****************************************************************
!
! CloseSaveData - Close the data file
!   Parameters :
!
! ****************************************************************

      SUBROUTINE CloseSaveData ()

      USE gckpp_Parameters

      CLOSE(10)

      END SUBROUTINE CloseSaveData

! End of CloseSaveData function
! ****************************************************************

! ****************************************************************
!
! GenerateMatlab - Generates MATLAB file to load the data file
!   Parameters :
!                It will have a character string to prefix each
!                species name with.
!
! ****************************************************************

      SUBROUTINE GenerateMatlab ( PREFIX )

      USE gckpp_Parameters
      USE gckpp_Global
      USE gckpp_Monitor


      CHARACTER(LEN=8) PREFIX
      INTEGER i

      open(20, file='gckpp.m')
      write(20,*) 'load gckpp.dat;'
      write(20,990) PREFIX
990   FORMAT(A1,'c = gckpp;')
      write(20,*) 'clear gckpp;'
      write(20,991) PREFIX, PREFIX
991   FORMAT(A1,'t=',A1,'c(:,1);')
      write(20,992) PREFIX
992   FORMAT(A1,'c(:,1)=[];')

      do i=1,NLOOKAT
        write(20,993) PREFIX, SPC_NAMES(LOOKAT(i)), PREFIX, i
993     FORMAT(A1,A6,' = ',A1,'c(:,',I2,');')
      end do

      CLOSE(20)

      END SUBROUTINE GenerateMatlab

! End of GenerateMatlab function
! ****************************************************************


! End Utility Functions from KPP_HOME/util/util
! End of UTIL function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!
! Shuffle_user2kpp - function to copy concentrations from USER to KPP
!   Arguments :
!      V_USER    - Concentration of variable species in USER's order
!      V         - Concentrations of variable species (local)
!
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Shuffle_user2kpp ( V_USER, V )

! V_USER - Concentration of variable species in USER's order
  REAL(kind=dp) :: V_USER(NVAR)
! V - Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)

  V(185) = V_USER(1)
  V(206) = V_USER(2)
  V(180) = V_USER(3)
  V(6) = V_USER(4)
  V(211) = V_USER(5)
  V(95) = V_USER(6)
  V(168) = V_USER(7)
  V(101) = V_USER(8)
  V(191) = V_USER(9)
  V(49) = V_USER(10)
  V(213) = V_USER(11)
  V(112) = V_USER(12)
  V(98) = V_USER(13)
  V(173) = V_USER(14)
  V(64) = V_USER(15)
  V(57) = V_USER(16)
  V(132) = V_USER(17)
  V(121) = V_USER(18)
  V(122) = V_USER(19)
  V(126) = V_USER(21)
  V(105) = V_USER(22)
  V(45) = V_USER(23)
  V(73) = V_USER(24)
  V(1) = V_USER(25)
  V(2) = V_USER(26)
  V(3) = V_USER(27)
  V(207) = V_USER(28)
  V(177) = V_USER(29)
  V(58) = V_USER(30)
  V(141) = V_USER(31)
  V(86) = V_USER(32)
  V(50) = V_USER(33)
  V(46) = V_USER(34)
  V(74) = V_USER(35)
  V(217) = V_USER(36)
  V(114) = V_USER(37)
  V(75) = V_USER(38)
  V(88) = V_USER(39)
  V(170) = V_USER(40)
  V(208) = V_USER(41)
  V(90) = V_USER(42)
  V(223) = V_USER(43)
  V(7) = V_USER(44)
  V(51) = V_USER(45)
  V(52) = V_USER(46)
  V(118) = V_USER(47)
  V(106) = V_USER(48)
  V(136) = V_USER(49)
  V(76) = V_USER(50)
  V(127) = V_USER(51)
  V(125) = V_USER(52)
  V(87) = V_USER(53)
  V(179) = V_USER(54)
  V(94) = V_USER(55)
  V(139) = V_USER(56)
  V(187) = V_USER(57)
  V(155) = V_USER(58)
  V(148) = V_USER(59)
  V(203) = V_USER(60)
  V(186) = V_USER(61)
  V(113) = V_USER(62)
  V(195) = V_USER(63)
  V(188) = V_USER(64)
  V(205) = V_USER(65)
  V(149) = V_USER(66)
  V(59) = V_USER(67)
  V(77) = V_USER(68)
  V(172) = V_USER(69)
  V(78) = V_USER(70)
  V(218) = V_USER(71)
  V(153) = V_USER(72)
  V(152) = V_USER(73)
  V(103) = V_USER(74)
  V(117) = V_USER(75)
  V(102) = V_USER(76)
  V(115) = V_USER(77)
  V(169) = V_USER(78)
  V(140) = V_USER(79)
  V(47) = V_USER(80)
  V(53) = V_USER(81)
  V(44) = V_USER(82)
  V(107) = V_USER(83)
  V(60) = V_USER(84)
  V(70) = V_USER(85)
  V(65) = V_USER(86)
  V(66) = V_USER(87)
  V(61) = V_USER(88)
  V(163) = V_USER(89)
  V(35) = V_USER(90)
  V(71) = V_USER(91)
  V(8) = V_USER(92)
  V(200) = V_USER(93)
  V(128) = V_USER(94)
  V(62) = V_USER(95)
  V(171) = V_USER(96)
  V(89) = V_USER(97)
  V(133) = V_USER(98)
  V(67) = V_USER(99)
  V(137) = V_USER(100)
  V(79) = V_USER(101)
  V(9) = V_USER(102)
  V(10) = V_USER(103)
  V(194) = V_USER(104)
  V(11) = V_USER(105)
  V(12) = V_USER(106)
  V(161) = V_USER(107)
  V(151) = V_USER(108)
  V(150) = V_USER(109)
  V(123) = V_USER(110)
  V(164) = V_USER(111)
  V(147) = V_USER(112)
  V(156) = V_USER(113)
  V(183) = V_USER(114)
  V(174) = V_USER(115)
  V(189) = V_USER(116)
  V(13) = V_USER(117)
  V(14) = V_USER(118)
  V(138) = V_USER(119)
  V(178) = V_USER(120)
  V(15) = V_USER(121)
  V(16) = V_USER(122)
  V(17) = V_USER(123)
  V(18) = V_USER(124)
  V(21) = V_USER(125)
  V(22) = V_USER(126)
  V(24) = V_USER(127)
  V(23) = V_USER(128)
  V(25) = V_USER(129)
  V(26) = V_USER(130)
  V(209) = V_USER(131)
  V(165) = V_USER(132)
  V(143) = V_USER(133)
  V(158) = V_USER(134)
  V(162) = V_USER(135)
  V(124) = V_USER(136)
  V(166) = V_USER(137)
  V(69) = V_USER(138)
  V(224) = V_USER(141)
  V(210) = V_USER(142)
  V(80) = V_USER(143)
  V(145) = V_USER(144)
  V(193) = V_USER(145)
  V(142) = V_USER(146)
  V(221) = V_USER(147)
  V(116) = V_USER(148)
  V(134) = V_USER(149)
  V(182) = V_USER(150)
  V(48) = V_USER(151)
  V(146) = V_USER(152)
  V(154) = V_USER(153)
  V(108) = V_USER(154)
  V(72) = V_USER(155)
  V(198) = V_USER(156)
  V(109) = V_USER(157)
  V(27) = V_USER(158)
  V(129) = V_USER(159)
  V(130) = V_USER(160)
  V(222) = V_USER(161)
  V(157) = V_USER(162)
  V(135) = V_USER(163)
  V(104) = V_USER(164)
  V(20) = V_USER(165)
  V(4) = V_USER(166)
  V(5) = V_USER(167)
  V(192) = V_USER(168)
  V(216) = V_USER(169)
  V(219) = V_USER(170)
  V(215) = V_USER(171)
  V(131) = V_USER(172)
  V(81) = V_USER(173)
  V(19) = V_USER(174)
  V(225) = V_USER(176)
  V(91) = V_USER(177)
  V(214) = V_USER(178)
  V(82) = V_USER(179)
  V(176) = V_USER(180)
  V(175) = V_USER(181)
  V(196) = V_USER(183)
  V(92) = V_USER(184)
  V(181) = V_USER(185)
  V(99) = V_USER(186)
  V(54) = V_USER(187)
  V(167) = V_USER(189)
  V(96) = V_USER(190)
  V(55) = V_USER(191)
  V(159) = V_USER(192)
  V(204) = V_USER(193)
  V(97) = V_USER(194)
  V(160) = V_USER(195)
  V(28) = V_USER(196)
  V(184) = V_USER(197)
  V(201) = V_USER(198)
  V(197) = V_USER(199)
  V(100) = V_USER(200)
  V(83) = V_USER(201)
  V(84) = V_USER(202)
  V(212) = V_USER(203)
  V(199) = V_USER(204)
  V(202) = V_USER(205)
  V(119) = V_USER(206)
  V(110) = V_USER(207)
  V(120) = V_USER(208)
  V(144) = V_USER(209)
  V(93) = V_USER(210)
  V(220) = V_USER(211)
  V(29) = V_USER(212)
  V(30) = V_USER(213)
  V(31) = V_USER(214)
  V(32) = V_USER(215)
  V(33) = V_USER(216)
  V(34) = V_USER(217)
  V(36) = V_USER(218)
  V(56) = V_USER(219)
  V(63) = V_USER(220)
  V(190) = V_USER(221)
  V(111) = V_USER(222)
  V(85) = V_USER(223)
  V(68) = V_USER(224)

END SUBROUTINE Shuffle_user2kpp

! End of Shuffle_user2kpp function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!
! Shuffle_kpp2user - function to restore concentrations from KPP to USER
!   Arguments :
!      V         - Concentrations of variable species (local)
!      V_USER    - Concentration of variable species in USER's order
!
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Shuffle_kpp2user ( V, V_USER )

! V - Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
! V_USER - Concentration of variable species in USER's order
  REAL(kind=dp) :: V_USER(NVAR)

  V_USER(1) = V(185)
  V_USER(2) = V(206)
  V_USER(3) = V(180)
  V_USER(4) = V(6)
  V_USER(5) = V(211)
  V_USER(6) = V(95)
  V_USER(7) = V(168)
  V_USER(8) = V(101)
  V_USER(9) = V(191)
  V_USER(10) = V(49)
  V_USER(11) = V(213)
  V_USER(12) = V(112)
  V_USER(13) = V(98)
  V_USER(14) = V(173)
  V_USER(15) = V(64)
  V_USER(16) = V(57)
  V_USER(17) = V(132)
  V_USER(18) = V(121)
  V_USER(19) = V(122)
  V_USER(21) = V(126)
  V_USER(22) = V(105)
  V_USER(23) = V(45)
  V_USER(24) = V(73)
  V_USER(25) = V(1)
  V_USER(26) = V(2)
  V_USER(27) = V(3)
  V_USER(28) = V(207)
  V_USER(29) = V(177)
  V_USER(30) = V(58)
  V_USER(31) = V(141)
  V_USER(32) = V(86)
  V_USER(33) = V(50)
  V_USER(34) = V(46)
  V_USER(35) = V(74)
  V_USER(36) = V(217)
  V_USER(37) = V(114)
  V_USER(38) = V(75)
  V_USER(39) = V(88)
  V_USER(40) = V(170)
  V_USER(41) = V(208)
  V_USER(42) = V(90)
  V_USER(43) = V(223)
  V_USER(44) = V(7)
  V_USER(45) = V(51)
  V_USER(46) = V(52)
  V_USER(47) = V(118)
  V_USER(48) = V(106)
  V_USER(49) = V(136)
  V_USER(50) = V(76)
  V_USER(51) = V(127)
  V_USER(52) = V(125)
  V_USER(53) = V(87)
  V_USER(54) = V(179)
  V_USER(55) = V(94)
  V_USER(56) = V(139)
  V_USER(57) = V(187)
  V_USER(58) = V(155)
  V_USER(59) = V(148)
  V_USER(60) = V(203)
  V_USER(61) = V(186)
  V_USER(62) = V(113)
  V_USER(63) = V(195)
  V_USER(64) = V(188)
  V_USER(65) = V(205)
  V_USER(66) = V(149)
  V_USER(67) = V(59)
  V_USER(68) = V(77)
  V_USER(69) = V(172)
  V_USER(70) = V(78)
  V_USER(71) = V(218)
  V_USER(72) = V(153)
  V_USER(73) = V(152)
  V_USER(74) = V(103)
  V_USER(75) = V(117)
  V_USER(76) = V(102)
  V_USER(77) = V(115)
  V_USER(78) = V(169)
  V_USER(79) = V(140)
  V_USER(80) = V(47)
  V_USER(81) = V(53)
  V_USER(82) = V(44)
  V_USER(83) = V(107)
  V_USER(84) = V(60)
  V_USER(85) = V(70)
  V_USER(86) = V(65)
  V_USER(87) = V(66)
  V_USER(88) = V(61)
  V_USER(89) = V(163)
  V_USER(90) = V(35)
  V_USER(91) = V(71)
  V_USER(92) = V(8)
  V_USER(93) = V(200)
  V_USER(94) = V(128)
  V_USER(95) = V(62)
  V_USER(96) = V(171)
  V_USER(97) = V(89)
  V_USER(98) = V(133)
  V_USER(99) = V(67)
  V_USER(100) = V(137)
  V_USER(101) = V(79)
  V_USER(102) = V(9)
  V_USER(103) = V(10)
  V_USER(104) = V(194)
  V_USER(105) = V(11)
  V_USER(106) = V(12)
  V_USER(107) = V(161)
  V_USER(108) = V(151)
  V_USER(109) = V(150)
  V_USER(110) = V(123)
  V_USER(111) = V(164)
  V_USER(112) = V(147)
  V_USER(113) = V(156)
  V_USER(114) = V(183)
  V_USER(115) = V(174)
  V_USER(116) = V(189)
  V_USER(117) = V(13)
  V_USER(118) = V(14)
  V_USER(119) = V(138)
  V_USER(120) = V(178)
  V_USER(121) = V(15)
  V_USER(122) = V(16)
  V_USER(123) = V(17)
  V_USER(124) = V(18)
  V_USER(125) = V(21)
  V_USER(126) = V(22)
  V_USER(127) = V(24)
  V_USER(128) = V(23)
  V_USER(129) = V(25)
  V_USER(130) = V(26)
  V_USER(131) = V(209)
  V_USER(132) = V(165)
  V_USER(133) = V(143)
  V_USER(134) = V(158)
  V_USER(135) = V(162)
  V_USER(136) = V(124)
  V_USER(137) = V(166)
  V_USER(138) = V(69)
  V_USER(141) = V(224)
  V_USER(142) = V(210)
  V_USER(143) = V(80)
  V_USER(144) = V(145)
  V_USER(145) = V(193)
  V_USER(146) = V(142)
  V_USER(147) = V(221)
  V_USER(148) = V(116)
  V_USER(149) = V(134)
  V_USER(150) = V(182)
  V_USER(151) = V(48)
  V_USER(152) = V(146)
  V_USER(153) = V(154)
  V_USER(154) = V(108)
  V_USER(155) = V(72)
  V_USER(156) = V(198)
  V_USER(157) = V(109)
  V_USER(158) = V(27)
  V_USER(159) = V(129)
  V_USER(160) = V(130)
  V_USER(161) = V(222)
  V_USER(162) = V(157)
  V_USER(163) = V(135)
  V_USER(164) = V(104)
  V_USER(165) = V(20)
  V_USER(166) = V(4)
  V_USER(167) = V(5)
  V_USER(168) = V(192)
  V_USER(169) = V(216)
  V_USER(170) = V(219)
  V_USER(171) = V(215)
  V_USER(172) = V(131)
  V_USER(173) = V(81)
  V_USER(174) = V(19)
  V_USER(176) = V(225)
  V_USER(177) = V(91)
  V_USER(178) = V(214)
  V_USER(179) = V(82)
  V_USER(180) = V(176)
  V_USER(181) = V(175)
  V_USER(183) = V(196)
  V_USER(184) = V(92)
  V_USER(185) = V(181)
  V_USER(186) = V(99)
  V_USER(187) = V(54)
  V_USER(189) = V(167)
  V_USER(190) = V(96)
  V_USER(191) = V(55)
  V_USER(192) = V(159)
  V_USER(193) = V(204)
  V_USER(194) = V(97)
  V_USER(195) = V(160)
  V_USER(196) = V(28)
  V_USER(197) = V(184)
  V_USER(198) = V(201)
  V_USER(199) = V(197)
  V_USER(200) = V(100)
  V_USER(201) = V(83)
  V_USER(202) = V(84)
  V_USER(203) = V(212)
  V_USER(204) = V(199)
  V_USER(205) = V(202)
  V_USER(206) = V(119)
  V_USER(207) = V(110)
  V_USER(208) = V(120)
  V_USER(209) = V(144)
  V_USER(210) = V(93)
  V_USER(211) = V(220)
  V_USER(212) = V(29)
  V_USER(213) = V(30)
  V_USER(214) = V(31)
  V_USER(215) = V(32)
  V_USER(216) = V(33)
  V_USER(217) = V(34)
  V_USER(218) = V(36)
  V_USER(219) = V(56)
  V_USER(220) = V(63)
  V_USER(221) = V(190)
  V_USER(222) = V(111)
  V_USER(223) = V(85)
  V_USER(224) = V(68)

END SUBROUTINE Shuffle_kpp2user

! End of Shuffle_kpp2user function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!
! GetMass - compute total mass of selected atoms
!   Arguments :
!      CL        - Concentration of all species (local)
!      Mass      - value of mass balance
!
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE GetMass ( CL, Mass )

! CL - Concentration of all species (local)
  REAL(kind=dp) :: CL(NSPEC)
! Mass - value of mass balance
  REAL(kind=dp) :: Mass(1)


END SUBROUTINE GetMass

! End of GetMass function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

! Get_OHreactivity - returns the OH reactivity
! The OH reactivity is defined as the inverse of its lifetime.
! This routine was auto-generated using script OHreact_parser.py.
! Generated on 2019-12-11
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Get_OHreactivity ( CC, RR, OHreact )

! CC - Concentrations of species (local)
  REAL(kind=dp) :: CC(NSPEC)
! RR - reaction rates (local)
  REAL(kind=dp) :: RR(NREACT)
! OHreact - OH reactivity [s-1]
  REAL(kind=dp) :: OHreact

  OHreact = RR(2)*CC(225) + 2*RR(6) + 2*RR(7) + RR(8)*CC(218) + RR(9)*CC(148) &
          + RR(12)*CC(227) + RR(13)*CC(223) + RR(14)*CC(226) + RR(20)*CC(108) + RR(21)*CC(108) &
          + RR(22)*CC(101) + RR(23)*CC(101) + RR(24)*CC(207) + RR(25)*CC(219) + RR(26)*CC(172) &
          + RR(27)*CC(216) + RR(28)*CC(77) + RR(31)*CC(78) + RR(34)*CC(215) + RR(37)*CC(149) &
          + RR(38)*CC(182) + RR(41)*CC(211) + RR(46)*CC(126) + RR(50)*CC(105) + RR(51)*CC(105) &
          + RR(55)*CC(95) + RR(81)*CC(194) + RR(88)*CC(201) + RR(89)*CC(180) + RR(90)*CC(212) &
          + RR(100)*CC(206) + RR(114)*CC(210) + RR(131)*CC(127) + RR(132)*CC(144) + RR(144)*CC(204) &
          + RR(146)*CC(131) + RR(147)*CC(137) + RR(149)*CC(35) + RR(150)*CC(187) + RR(151)*CC(187) &
          + RR(153)*CC(155) + RR(154)*CC(193) + RR(157)*CC(164) + RR(158)*CC(222) + RR(159)*CC(209) &
          + RR(160)*CC(203) + RR(161)*CC(203) + RR(176)*CC(128) + RR(177)*CC(128) + RR(178)*CC(97) &
          + RR(179)*CC(94) + RR(180)*CC(83) + RR(181)*CC(84) + RR(182)*CC(100) + RR(183)*CC(93) &
          + RR(184)*CC(96) + RR(185)*CC(119) + RR(186)*CC(110) + RR(187)*CC(120) + RR(188)*CC(119) &
          + RR(189)*CC(110) + RR(190)*CC(120) + RR(191)*CC(24) + RR(192)*CC(65) + RR(193)*CC(66) &
          + RR(194)*CC(61) + RR(197)*CC(107) + RR(198)*CC(111) + RR(199)*CC(109) + RR(200)*CC(109) &
          + RR(201)*CC(124) + RR(202)*CC(124) + RR(210)*CC(69) + RR(251)*CC(76) + RR(252)*CC(76) &
          + RR(254)*CC(220) + RR(258)*CC(186) + RR(263)*CC(112) + RR(264)*CC(173) + RR(273)*CC(46) &
          + RR(274)*CC(45) + RR(275)*CC(58) + RR(276)*CC(114) + RR(278)*CC(208) + RR(279)*CC(208) &
          + RR(280)*CC(91) + RR(281)*CC(75) + RR(282)*CC(205) + RR(283)*CC(152) + RR(284)*CC(88) &
          + RR(285)*CC(170) + RR(286)*CC(86) + RR(287)*CC(73) + RR(288)*CC(74) + RR(351)*CC(140) &
          + RR(352)*CC(59) + RR(353)*CC(103) + RR(360)*CC(50) + RR(361)*CC(195) + RR(365)*CC(183) &
          + RR(366)*CC(147) + RR(371)*CC(123) + RR(372)*CC(157) + RR(373)*CC(165) + RR(378)*CC(118) &
          + RR(382)*CC(116) + RR(387)*CC(125) + RR(388)*CC(160) + RR(429)*CC(49) + RR(430)*CC(56) &
          + RR(431)*CC(85) + RR(439)*CC(129) + RR(440)*CC(130) + RR(450)*CC(138) + RR(458)*CC(99) &
          + RR(472)*CC(146) + RR(473)*CC(154) + RR(479)*CC(117) + RR(480)*CC(113) + RR(481)*CC(102) &
          + RR(488)*CC(80) + RR(489)*CC(87) + RR(490)*CC(79) + RR(491)*CC(81) + RR(492)*CC(20)

END SUBROUTINE Get_OHreactivity
! End of Get_OHreactivity subroutine
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

END MODULE gckpp_Util
