! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Wed Dec 11 14:03:17 2019
! Working directory    : /n/scratchlfs/jacob_lab/msulprizio/GC/rundirs/12.7.0_Tests/GC_12.7.0_MOHchem/CodeDir/KPP/Standard
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 247 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 243 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 7 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 213 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 4 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 750 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 244 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2870 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 3572 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 244 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_CH2I2 = 1 
  INTEGER, PARAMETER :: ind_CH2ICl = 2 
  INTEGER, PARAMETER :: ind_CH2IBr = 3 
  INTEGER, PARAMETER :: ind_NITs = 4 
  INTEGER, PARAMETER :: ind_NIT = 5 
  INTEGER, PARAMETER :: ind_AERI = 6 
  INTEGER, PARAMETER :: ind_CO2 = 7 
  INTEGER, PARAMETER :: ind_INDIOL = 8 
  INTEGER, PARAMETER :: ind_ISALA = 9 
  INTEGER, PARAMETER :: ind_ISALC = 10 
  INTEGER, PARAMETER :: ind_ISN1OA = 11 
  INTEGER, PARAMETER :: ind_ISN1OG = 12 
  INTEGER, PARAMETER :: ind_LBRO2H = 13 
  INTEGER, PARAMETER :: ind_LBRO2N = 14 
  INTEGER, PARAMETER :: ind_LISOPOH = 15 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 16 
  INTEGER, PARAMETER :: ind_LTRO2H = 17 
  INTEGER, PARAMETER :: ind_LTRO2N = 18 
  INTEGER, PARAMETER :: ind_LVOCOA = 19 
  INTEGER, PARAMETER :: ind_LVOC = 20 
  INTEGER, PARAMETER :: ind_LXRO2H = 21 
  INTEGER, PARAMETER :: ind_LXRO2N = 22 
  INTEGER, PARAMETER :: ind_MSA = 23 
  INTEGER, PARAMETER :: ind_PYAC = 24 
  INTEGER, PARAMETER :: ind_SO4H1 = 25 
  INTEGER, PARAMETER :: ind_SO4H2 = 26 
  INTEGER, PARAMETER :: ind_SOAGX = 27 
  INTEGER, PARAMETER :: ind_SOAIE = 28 
  INTEGER, PARAMETER :: ind_SOAME = 29 
  INTEGER, PARAMETER :: ind_IMAE = 30 
  INTEGER, PARAMETER :: ind_SOAMG = 31 
  INTEGER, PARAMETER :: ind_POx = 32 
  INTEGER, PARAMETER :: ind_LOx = 33 
  INTEGER, PARAMETER :: ind_PCO = 34 
  INTEGER, PARAMETER :: ind_LCO = 35 
  INTEGER, PARAMETER :: ind_PSO4 = 36 
  INTEGER, PARAMETER :: ind_LCH4 = 37 
  INTEGER, PARAMETER :: ind_PH2O2 = 38 
  INTEGER, PARAMETER :: ind_I2O4 = 39 
  INTEGER, PARAMETER :: ind_DHDN = 40 
  INTEGER, PARAMETER :: ind_DHDC = 41 
  INTEGER, PARAMETER :: ind_I2O2 = 42 
  INTEGER, PARAMETER :: ind_MONITA = 43 
  INTEGER, PARAMETER :: ind_BENZ = 44 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 45 
  INTEGER, PARAMETER :: ind_H1301 = 46 
  INTEGER, PARAMETER :: ind_H2402 = 47 
  INTEGER, PARAMETER :: ind_I2O3 = 48 
  INTEGER, PARAMETER :: ind_PMNN = 49 
  INTEGER, PARAMETER :: ind_PPN = 50 
  INTEGER, PARAMETER :: ind_TOLU = 51 
  INTEGER, PARAMETER :: ind_BrNO2 = 52 
  INTEGER, PARAMETER :: ind_CCl4 = 53 
  INTEGER, PARAMETER :: ind_CFC11 = 54 
  INTEGER, PARAMETER :: ind_CFC12 = 55 
  INTEGER, PARAMETER :: ind_CFC113 = 56 
  INTEGER, PARAMETER :: ind_CFC114 = 57 
  INTEGER, PARAMETER :: ind_CFC115 = 58 
  INTEGER, PARAMETER :: ind_CH3I = 59 
  INTEGER, PARAMETER :: ind_H1211 = 60 
  INTEGER, PARAMETER :: ind_IBr = 61 
  INTEGER, PARAMETER :: ind_IEPOXD = 62 
  INTEGER, PARAMETER :: ind_INO = 63 
  INTEGER, PARAMETER :: ind_N2O = 64 
  INTEGER, PARAMETER :: ind_TRO2 = 65 
  INTEGER, PARAMETER :: ind_BRO2 = 66 
  INTEGER, PARAMETER :: ind_IEPOXA = 67 
  INTEGER, PARAMETER :: ind_IEPOXB = 68 
  INTEGER, PARAMETER :: ind_IONITA = 69 
  INTEGER, PARAMETER :: ind_N = 70 
  INTEGER, PARAMETER :: ind_OCS = 71 
  INTEGER, PARAMETER :: ind_XRO2 = 72 
  INTEGER, PARAMETER :: ind_HI = 73 
  INTEGER, PARAMETER :: ind_MAP = 74 
  INTEGER, PARAMETER :: ind_ICl = 75 
  INTEGER, PARAMETER :: ind_IMAO3 = 76 
  INTEGER, PARAMETER :: ind_MPN = 77 
  INTEGER, PARAMETER :: ind_CHBr3 = 78 
  INTEGER, PARAMETER :: ind_CHCl3 = 79 
  INTEGER, PARAMETER :: ind_Cl2O2 = 80 
  INTEGER, PARAMETER :: ind_CH2Br2 = 81 
  INTEGER, PARAMETER :: ind_CH2Cl2 = 82 
  INTEGER, PARAMETER :: ind_HCFC123 = 83 
  INTEGER, PARAMETER :: ind_HCFC141b = 84 
  INTEGER, PARAMETER :: ind_IONO = 85 
  INTEGER, PARAMETER :: ind_IPRNO3 = 86 
  INTEGER, PARAMETER :: ind_MENO3 = 87 
  INTEGER, PARAMETER :: ind_HCFC142b = 88 
  INTEGER, PARAMETER :: ind_NPRNO3 = 89 
  INTEGER, PARAMETER :: ind_OIO = 90 
  INTEGER, PARAMETER :: ind_HCFC22 = 91 
  INTEGER, PARAMETER :: ind_RA3P = 92 
  INTEGER, PARAMETER :: ind_RB3P = 93 
  INTEGER, PARAMETER :: ind_XYLE = 94 
  INTEGER, PARAMETER :: ind_DMS = 95 
  INTEGER, PARAMETER :: ind_ETNO3 = 96 
  INTEGER, PARAMETER :: ind_ClNO2 = 97 
  INTEGER, PARAMETER :: ind_CH3Br = 98 
  INTEGER, PARAMETER :: ind_CH3Cl = 99 
  INTEGER, PARAMETER :: ind_HNO4 = 100 
  INTEGER, PARAMETER :: ind_ClOO = 101 
  INTEGER, PARAMETER :: ind_OClO = 102 
  INTEGER, PARAMETER :: ind_PAN = 103 
  INTEGER, PARAMETER :: ind_RP = 104 
  INTEGER, PARAMETER :: ind_ETP = 105 
  INTEGER, PARAMETER :: ind_HNO2 = 106 
  INTEGER, PARAMETER :: ind_ALK4 = 107 
  INTEGER, PARAMETER :: ind_PP = 108 
  INTEGER, PARAMETER :: ind_PRPN = 109 
  INTEGER, PARAMETER :: ind_SO4 = 110 
  INTEGER, PARAMETER :: ind_BrCl = 111 
  INTEGER, PARAMETER :: ind_HPALD = 112 
  INTEGER, PARAMETER :: ind_PIP = 113 
  INTEGER, PARAMETER :: ind_R4P = 114 
  INTEGER, PARAMETER :: ind_C3H8 = 115 
  INTEGER, PARAMETER :: ind_DHPCARP = 116 
  INTEGER, PARAMETER :: ind_HOI = 117 
  INTEGER, PARAMETER :: ind_HPC52O2 = 118 
  INTEGER, PARAMETER :: ind_VRP = 119 
  INTEGER, PARAMETER :: ind_HC187 = 120 
  INTEGER, PARAMETER :: ind_ATOOH = 121 
  INTEGER, PARAMETER :: ind_Br2 = 122 
  INTEGER, PARAMETER :: ind_IAP = 123 
  INTEGER, PARAMETER :: ind_MOBA = 124 
  INTEGER, PARAMETER :: ind_HONIT = 125 
  INTEGER, PARAMETER :: ind_DHMOB = 126 
  INTEGER, PARAMETER :: ind_RIPB = 127 
  INTEGER, PARAMETER :: ind_MP = 128 
  INTEGER, PARAMETER :: ind_ISNP = 129 
  INTEGER, PARAMETER :: ind_BrSALA = 130 
  INTEGER, PARAMETER :: ind_BrSALC = 131 
  INTEGER, PARAMETER :: ind_MAOP = 132 
  INTEGER, PARAMETER :: ind_MRP = 133 
  INTEGER, PARAMETER :: ind_RIPA = 134 
  INTEGER, PARAMETER :: ind_RIPD = 135 
  INTEGER, PARAMETER :: ind_ETHLN = 136 
  INTEGER, PARAMETER :: ind_N2O5 = 137 
  INTEGER, PARAMETER :: ind_INPN = 138 
  INTEGER, PARAMETER :: ind_EOH = 139 
  INTEGER, PARAMETER :: ind_MTPA = 140 
  INTEGER, PARAMETER :: ind_MTPO = 141 
  INTEGER, PARAMETER :: ind_NPMN = 142 
  INTEGER, PARAMETER :: ind_C2H6 = 143 
  INTEGER, PARAMETER :: ind_IONO2 = 144 
  INTEGER, PARAMETER :: ind_MOBAOO = 145 
  INTEGER, PARAMETER :: ind_DIBOO = 146 
  INTEGER, PARAMETER :: ind_IPMN = 147 
  INTEGER, PARAMETER :: ind_LIMO = 148 
  INTEGER, PARAMETER :: ind_H = 149 
  INTEGER, PARAMETER :: ind_MACRNO2 = 150 
  INTEGER, PARAMETER :: ind_BrNO3 = 151 
  INTEGER, PARAMETER :: ind_ROH = 152 
  INTEGER, PARAMETER :: ind_MONITS = 153 
  INTEGER, PARAMETER :: ind_I2 = 154 
  INTEGER, PARAMETER :: ind_Cl2 = 155 
  INTEGER, PARAMETER :: ind_ISOPNB = 156 
  INTEGER, PARAMETER :: ind_CH4 = 157 
  INTEGER, PARAMETER :: ind_MVKOO = 158 
  INTEGER, PARAMETER :: ind_ISNOHOO = 159 
  INTEGER, PARAMETER :: ind_ISNOOB = 160 
  INTEGER, PARAMETER :: ind_GAOO = 161 
  INTEGER, PARAMETER :: ind_CH3CHOO = 162 
  INTEGER, PARAMETER :: ind_IEPOXOO = 163 
  INTEGER, PARAMETER :: ind_GLYX = 164 
  INTEGER, PARAMETER :: ind_MVKN = 165 
  INTEGER, PARAMETER :: ind_MGLYOO = 166 
  INTEGER, PARAMETER :: ind_MONITU = 167 
  INTEGER, PARAMETER :: ind_MGLOO = 168 
  INTEGER, PARAMETER :: ind_PRN1 = 169 
  INTEGER, PARAMETER :: ind_PROPNN = 170 
  INTEGER, PARAMETER :: ind_MAN2 = 171 
  INTEGER, PARAMETER :: ind_ISNOOA = 172 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 173 
  INTEGER, PARAMETER :: ind_HCOOH = 174 
  INTEGER, PARAMETER :: ind_MACROO = 175 
  INTEGER, PARAMETER :: ind_PO2 = 176 
  INTEGER, PARAMETER :: ind_ISOP = 177 
  INTEGER, PARAMETER :: ind_H2O2 = 178 
  INTEGER, PARAMETER :: ind_MAOPO2 = 179 
  INTEGER, PARAMETER :: ind_R4N1 = 180 
  INTEGER, PARAMETER :: ind_I = 181 
  INTEGER, PARAMETER :: ind_ATO2 = 182 
  INTEGER, PARAMETER :: ind_IO = 183 
  INTEGER, PARAMETER :: ind_MACRN = 184 
  INTEGER, PARAMETER :: ind_OLNN = 185 
  INTEGER, PARAMETER :: ind_OLND = 186 
  INTEGER, PARAMETER :: ind_ETO2 = 187 
  INTEGER, PARAMETER :: ind_LIMO2 = 188 
  INTEGER, PARAMETER :: ind_A3O2 = 189 
  INTEGER, PARAMETER :: ind_HOBr = 190 
  INTEGER, PARAMETER :: ind_KO2 = 191 
  INTEGER, PARAMETER :: ind_B3O2 = 192 
  INTEGER, PARAMETER :: ind_MOH = 193 
  INTEGER, PARAMETER :: ind_PIO2 = 194 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 195 
  INTEGER, PARAMETER :: ind_HNO3 = 196 
  INTEGER, PARAMETER :: ind_ISOPND = 197 
  INTEGER, PARAMETER :: ind_HOCl = 198 
  INTEGER, PARAMETER :: ind_NMAO3 = 199 
  INTEGER, PARAMETER :: ind_ACTA = 200 
  INTEGER, PARAMETER :: ind_HC5OO = 201 
  INTEGER, PARAMETER :: ind_VRO2 = 202 
  INTEGER, PARAMETER :: ind_CH2OO = 203 
  INTEGER, PARAMETER :: ind_GLYC = 204 
  INTEGER, PARAMETER :: ind_ISN1 = 205 
  INTEGER, PARAMETER :: ind_ClNO3 = 206 
  INTEGER, PARAMETER :: ind_MGLY = 207 
  INTEGER, PARAMETER :: ind_OTHRO2 = 208 
  INTEGER, PARAMETER :: ind_HC5 = 209 
  INTEGER, PARAMETER :: ind_R4O2 = 210 
  INTEGER, PARAMETER :: ind_RCO3 = 211 
  INTEGER, PARAMETER :: ind_INO2 = 212 
  INTEGER, PARAMETER :: ind_R4N2 = 213 
  INTEGER, PARAMETER :: ind_RIO2 = 214 
  INTEGER, PARAMETER :: ind_MRO2 = 215 
  INTEGER, PARAMETER :: ind_HAC = 216 
  INTEGER, PARAMETER :: ind_BrO = 217 
  INTEGER, PARAMETER :: ind_ACET = 218 
  INTEGER, PARAMETER :: ind_PRPE = 219 
  INTEGER, PARAMETER :: ind_MACR = 220 
  INTEGER, PARAMETER :: ind_MEK = 221 
  INTEGER, PARAMETER :: ind_CH2O = 222 
  INTEGER, PARAMETER :: ind_ALD2 = 223 
  INTEGER, PARAMETER :: ind_MVK = 224 
  INTEGER, PARAMETER :: ind_RCHO = 225 
  INTEGER, PARAMETER :: ind_MCO3 = 226 
  INTEGER, PARAMETER :: ind_SO2 = 227 
  INTEGER, PARAMETER :: ind_HBr = 228 
  INTEGER, PARAMETER :: ind_HCl = 229 
  INTEGER, PARAMETER :: ind_MO2 = 230 
  INTEGER, PARAMETER :: ind_OH = 231 
  INTEGER, PARAMETER :: ind_O1D = 232 
  INTEGER, PARAMETER :: ind_ClO = 233 
  INTEGER, PARAMETER :: ind_Cl = 234 
  INTEGER, PARAMETER :: ind_NO3 = 235 
  INTEGER, PARAMETER :: ind_CO = 236 
  INTEGER, PARAMETER :: ind_O3 = 237 
  INTEGER, PARAMETER :: ind_NO2 = 238 
  INTEGER, PARAMETER :: ind_NO = 239 
  INTEGER, PARAMETER :: ind_O = 240 
  INTEGER, PARAMETER :: ind_Br = 241 
  INTEGER, PARAMETER :: ind_HO2 = 242 
  INTEGER, PARAMETER :: ind_H2O = 243 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_H2 = 244 
  INTEGER, PARAMETER :: ind_N2 = 245 
  INTEGER, PARAMETER :: ind_O2 = 246 
  INTEGER, PARAMETER :: ind_RCOOH = 247 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_H2 = 1 
  INTEGER, PARAMETER :: indf_N2 = 2 
  INTEGER, PARAMETER :: indf_O2 = 3 
  INTEGER, PARAMETER :: indf_RCOOH = 4 

END MODULE gckpp_Parameters

